%define major_gir	1.0

%define major_nma	0
%define libnma		%mklibname nma %{major_nma}
%define libnma_gir	%mklibname nma-gir %{major_gir}
%define libnma_devel	%mklibname nma -d

%define url_ver		%(echo %{version} | cut -d "." -f -2)

Name:		libnma
Version:	1.10.4
Release:	%mkrel 3
Summary:	Shared library for NetworkManager-applet
License:	GPLv2+
Group:		System/Libraries
URL:		https://gitlab.gnome.org/GNOME/libnma
Source0:	 https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1: org.gnome.nm-applet.eap.gschema.xml
BuildRequires:	gtk-doc
BuildRequires:	meson
BuildRequires:	pkgconfig(gck-1) >= 3.14
BuildRequires:	pkgconfig(gcr-3) >= 3.14
BuildRequires:	pkgconfig(gio-2.0) >= 2.38
BuildRequires:	pkgconfig(gmodule-export-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.6
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.10
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:	pkgconfig(libnm) >= 1.7
BuildRequires:	pkgconfig(mobile-broadband-provider-info)
BuildRequires:	pkgconfig(vapigen)

%description
Shared library for NetworkManager-applet.

#------------------------------------------------

%package -n	%{libnma}
Summary:	Shared library for NetworkManager-applet
Group:		System/Libraries
Requires:  libnma = %{version}-%{release}
Requires:	mobile-broadband-provider-info

%description -n	%{libnma}
This private package contains the libnma libraries.


%package -n	%{libnma_devel}
Summary:	Development files for nma
Group:		Development/Libraries
Requires:	%{libnma} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	nma-devel = %{version}-%{release}

%description -n	%{libnma_devel}
Header files for development with nma.

#------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%meson -Dgtk_doc=false
%meson_build

%install
rm -rf %buildroot
%meson_install

#remove path from gschema as it conflicts with libnma
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.eap.gschema.xml

%find_lang %{name}

%files -f %{name}.lang
# This is in networkmanager-applet
%exclude %{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml
#include this
%{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.eap.gschema.xml

%files -n %{libnma}
%{_libdir}/libnma.so.%{major_nma}*
%{_libdir}/girepository-1.0/NMA-%{major_gir}.typelib

%files -n %{libnma_devel}
%dir %{_includedir}/libnma
%{_includedir}/libnma/nma-*.h
%{_libdir}/pkgconfig/libnma.pc
%{_libdir}/libnma.so
%{_datadir}/gir-1.0/NMA-1.0.gir
%{_datadir}/vala/vapi/libnma.deps
%{_datadir}/vala/vapi/libnma.vapi


%post
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%changelog
* Sun Nov 27 2022 tex - 1.10.4-3pclos2022
- add requires  libnma version-release

* Fri Nov 25 2022 tex - 1.10.4-2pclos2022
-  exclude org.gnome.nm-applet.gschema.xml

* Mon Nov 07 2022 tex - 1.10.4-1pclos2022
- new version

* Sat Sep 10 2022 tex - 1.10.2-1pclos2022
- new version

* Thu Sep 08 2022 tex - 1.10.0-1pclos2022
- new version
